Bug 205960 - Anaconda installs Xen kernel on non-PAE laptop
Anaconda installs Xen kernel on non-PAE laptop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-10 18:32 EDT by Daniel Riek
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:08:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2006-09-10 18:32:44 EDT
Wenn installing RHEL5 Beta 1 on a non-PAE laptop (in this case IBM T42) and
selecting virtualization, the xen kernel is installed correctly but then will
refuse to boot with the notice that it is not possible to run a PAE-kernel on
non-PAE hardware.

If possible, anaconda should refuse to install a PAE kernel on non-PAE hardware.
Comment 1 Jeremy Katz 2006-09-11 16:23:57 EDT
anaconda drops the virt group from being visible on machines not capable of PAE now
Comment 4 John D. Ramsdell 2006-11-11 19:47:43 EST
I too have this problem, but on a ThinkPad T41.  I've been using Xen on my
machine with FC5 for quite some time now, but I guess, I have to build my own
Xen kernel.  I'm bummed.
Comment 5 John D. Ramsdell 2006-11-11 19:50:00 EST
I forgot to say I'm using FC6.

Note You need to log in before you can comment on or make changes to this bug.